#if defined(__linux__)
#if defined(__mips__)

	.section .text

	.globl	_start
	.type	_start, @function
_start:
	move	$a2, $sp
	li	$a0, -16
	and	$sp, $sp, $a0

	lui	$gp, %hi(_gp)
	addiu	$gp, $gp, %lo(_gp)

	lw	$a0, 0($a2)	/* argc */
	addiu	$a1, $a2, 4	/* argv */
	addiu	$a2, $a0, 1
	sll	$a2, $a2, 2
	addu	$a2, $a1, $a2	/* envp */

	jal	nlcrt_start
	nop

1:	j	1b
	nop
#endif
#endif
